jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: Migrate Jackrabbit 1.4 to 2.x
Date Tue, 03 Jul 2012 13:10:14 GMT
Hi,

On Tue, Jul 3, 2012 at 2:31 PM, hsp <piccinatto@ibest.com.br> wrote:
> I would to know how to do the update in my project repository that is using
> jackrabbit 1.4.x to the newest 2.x.
> My repository is using datastore. I was thinking to migrate to 1.6 and after
> migrate do 2.0, is it necessary?
> And what about my nodetypes, will they remain as they are when in the
> jsr283?
> My doubt is because there is some legacy (a lot of...), and it is critical
> to retain the same uuids in workspaces.

You should be able to use the existing 1.4.x repository as-is also
with Jackrabbit 2.x. Existing content, node types, uuids, etc. should
all remain the same over the upgrade. Of course it's still a good idea
to backup your repository before the upgrade and do a full round of
testing after that to verify that everything's OK.

If you do encounter any problems, upgrading first to 1.6 and then to
2.x might help solve them or at least better pinpoint the issue.

Note that, depending on your deployment, you may also want to migrate
to a more recent repository configuration in order to take better
advantage of the performance and other improvements that we've added
over time. See http://jackrabbit.apache.org/standalone-server.html#StandaloneServer-Backupandmigration
for instructions on how to use the migration feature of the Jackrabbit
standalone jar.

BR,

Jukka Zitting

Mime
View raw message